> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Add Vestings

> Replaces grants' vesting schedules with custom rows when no tax references, settlements, exercise requests or processed lockups exist.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-add-vestings
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-add-vestings:
    post:
      operationId: bulkAddVestings
      summary: Bulk Add Vestings
      description: >-
        Replaces grants' vesting schedules with custom rows when no tax
        references, settlements, exercise requests or processed lockups exist.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkAddVestingsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkAddVestingsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkAddVestingsRequest:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
            format: uuid
          vestingDate:
            type: string
            format: date-time
          vestedUnits:
            oneOf:
              - {}
              - type: string
              - type: number
          sequence:
            type: integer
            minimum: 0
            maximum: 10000
        required:
          - grantID
          - vestingDate
          - vestedUnits
          - sequence
    BulkAddVestingsResponse:
      type: object
      properties:
        success:
          type: boolean
        errorMessage:
          type:
            - string
            - 'null'
        warning:
          type: string
      required:
        - success
        - errorMessage
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
